import API from './API';
import { Doc, Table, Row, Column, Page, PendingRequest } from './models/index';
export * from './errors';
export declare class Coda {
    API: API;
    constructor(token: string);
    whoAmI(): Promise<any>;
    listDocs(params?: any): Promise<Doc[]>;
    getDoc(id: string): Promise<Doc>;
    listPages(docId: string, params: any): Promise<Page[]>;
    getPage(docId: string, pageIdOrName: string): Promise<Page>;
    listTables(docId: string): Promise<Table[]>;
    getTable(docId: string, tableIdOrName: string): Promise<Table>;
    listColumns(docId: string, tableId: string, params: any): Promise<Column[]>;
    getColumn(docId: string, tableId: string, columnIdOrName: string): Promise<Column>;
    listRows(docId: string, tableId: string, params: any): Promise<Row[]>;
    getRow(docId: string, tableId: string, rowIdOrName: string, params: any): Promise<Row>;
    insertRows(docId: string, tableId: string, rows?: any[], keyColumns?: any[]): Promise<PendingRequest>;
    updateRow(docId: string, tableId: string, rowIdOrName: string, row: any): Promise<PendingRequest>;
    deleteRow(docId: string, tableId: string, rowIdOrName: string): Promise<PendingRequest>;
    deleteRows(docId: string, tableId: string, rowIds: string[]): Promise<PendingRequest>;
    mutationStatus(requestId: string): Promise<boolean>;
    listControls(docId: string, params: any): Promise<Page[]>;
    getControl(docId: string, controlIdOrName: string): Promise<Page>;
}
