import Column from './Column';
import Row from './Row';
import API from '../API';
import PendingRequest from './PendingRequest';
declare class Table {
    API: API;
    id?: string;
    docId?: string;
    constructor(API: API, data: any);
    listColumns(params: any): Promise<Column[]>;
    getColumn(columnIdOrName: string): Promise<Column>;
    listRows(params: any): Promise<Row[]>;
    listRowsPaginatedByToken(params: any): Promise<{
        items: Row[];
        token: string;
    }>;
    getRow(rowIdOrName: string, params: any): Promise<Row>;
    insertRows(rows?: any[], keyColumns?: any[]): Promise<PendingRequest>;
    updateRow(rowIdOrName: string, row: any): Promise<PendingRequest>;
    deleteRow(rowIdOrName: string): Promise<PendingRequest>;
    deleteRows(rowIds: string[]): Promise<PendingRequest>;
}
export default Table;
